using System;
using System.Collections.Generic;
using System.Text;

using EntityManagement.ActiveRecordFramework;

namespace EntityManagement
{
    public class AddressFinder : Finder
    {
        protected override ActiveRecord CreateFromData(System.Data.DataRow dataRow)
        {
            return new Address(dataRow);
        }

        protected override string TableName
        {
            get { return TableNames.Addresses; }
        }

        public Address GetById(int id)
        {
            return (Address)LoadById(id);
        }
    }
}
